<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>人员管理</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
</head>
<body>

  <div class="layui-fluid">
    <div class="layui-card">
        <div class="layui-card-body" pad15>
        <div class="layui-row layui-col-space15">
          <div class="layui-col-md12">

            <div class="LAY-btns" style="margin-bottom: 10px;">
              <button class="layui-btn layui-btn-sm" id="btn_add"><i class="layui-icon layui-icon-add-circle"></i>添加</button>
              <button class="layui-btn layui-btn-sm" id="btn_query"><i class="layui-icon layui-icon-search"></i>查询</button>
            </div>

            <table class="layui-hide" id="datagrid" lay-filter="datagrid-operate"></table>

            <script type="text/html" id="datagrid-operate-bar">
                <div class="layui-btn-group">
                  <a class="layui-btn layui-btn-xs" lay-event="edit">修改</a>
                  <a class="layui-btn layui-btn-danger layui-btn-xs"  lay-event="delete">离职</a>
                </div>
            </script>
          </div>
        </div>
        </div>
    </div>
  </div>

  <div id="dlg_query" style="display: none">
    <div class="layui-card-body" pad15>
        <form class="layui-form" lay-filter="query-form-element">
          <div class="layui-row layui-col-space10 layui-form-item">
              <div class="layui-col-xs12 layui-col-sm12">
                <label class="layui-form-label">员工姓名：</label>
                <div class="layui-input-block">
                    <input type="text" name="name" autocomplete="off" class="layui-input">
                </div>
            </div>
            <div class="layui-col-xs12 layui-col-sm12">
                <label class="layui-form-label">员工账号：</label>
                <div class="layui-input-block">
                    <input type="text" name="username" autocomplete="off" class="layui-input">
                </div>
            </div>

          </div>
          <div class="layui-form-item" style="display: none">
                <button id="query_search" class="layui-btn" lay-submit lay-filter="query-form-element">查询</button>
          </div>
        </form>
    </div>
   </div>

  <script src="../../layuiadmin/layui/layui.js?t=1"></script>
  <script>
  var _params = '';
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index' //主入口模块
  }).use(['index', 'table'], function(){
    var $ = layui.$
    ,form = layui.form;
    var table = layui.table;

    table.render({
      elem: '#datagrid'
      ,url: '/account/employee/'
      ,cols: [[
        {field:'name', title:'姓名', width:100}
        ,{field:'username', title:'登录账号',width: 100}
        ,{field:'tel', title:'手机号码',width: 130}
        ,{field:'address', title:'家庭住址',minWidth: 200}
        ,{field:'status_text', title:'是否在职', width:90}
        ,{field:'title', title:'工作岗位', width:100}
        ,{width:100, align:'left', fixed: 'right', toolbar: '#datagrid-operate-bar'}
      ]]
      ,page: true
      ,height: 'full-104'
      ,done: function () {
        layui.index.removeNoPermButtons();
      }
    });

    //监听工具条
    table.on('tool(datagrid-operate)', function(obj){
      var data = obj.data;
        if(obj.event === 'edit'){
        table.editdata = data;
        layer.open({
          type: 2,
          title: '修改',
          shadeClose: false,
          area: ['550px', '85%'],
          btn: ['保存', '取消'],
          yes: function(index, dom){
             layui.onSubmitChild = function (data) {
              layer.close(index);
              table.reload('datagrid',{});
            };
            layui.submitChild();
          },
          btn2: function(index, layero){
            layer.close(index);//关闭当前按钮
          },
          content: 'employee_edit.html?id='+data.id
        });
      } else if(obj.event === 'delete'){
         layer.confirm('确定要删除吗？', function(index){
             layer.close(index);
            layui.admin.req({
                notice: true
                ,url: '/account/employee/'+data.id + '/'
                ,type: 'delete'
                ,done: function(res){
                    table.reload('datagrid',{});
                }
            });
         });
      }
    });

    $('#btn_add').on('click', function(){
        layer.open({
          type: 2,
          title: '添加',
          shadeClose: false,
          area: ['550px', '85%'],
          btn: ['保存', '取消'],
          yes: function(index, dom){
             layui.onSubmitChild = function (data) {
              layer.close(index);
              table.reload('datagrid',{});
            };
            layui.submitChild();
          },
          btn2: function(index, layero){
            layer.close(index);//关闭当前按钮
          },
          content: 'employee_edit.html'
        });
    });

    $('#btn_query').on('click', function(){
        layer.open({
          type: 1,
          shadeClose: true,
          area: ['500px', '250px'],
          title: '查询',
          btn: ['查询'],
          yes: function(index, dom){
             $('#query_search').click();
          },
          content: $('#dlg_query')
        });
    });

    form.on('submit(query-form-element)', function(data){
      //layer.msg(JSON.stringify(data.field));
      _params = data.field;
      table.reload('datagrid', {
          where: data.field,
          page:{curr:1}
      });
      layer.closeAll();
      return false;
    });

  });
  </script>
</body>
</html>

